Subject: Only use ansi colors for var_dump() if supported
Description

\TYPO3\FLOW3\var_dump() currently uses ANSI codes to colorize variables on the CLI.
On Windows that's not supported by default and instead all special characters are outputted.
I don't know how to detect ansi support from PHP, so I would suggest to disable this on Windows for now.
The change is trivial:

1$ansiColors = $plaintext;

1$ansiColors = $plaintext && DIRECTORY_SEPARATOR === '/';

Associated revisions
Revision aeaa424b - 2012-05-08 17:37 - Bastian Waidelich

[BUGFIX] Only use ansi colors for var_dump() if supported

\TYPO3\FLOW3\var_dump() currently uses ANSI codes to colorize
the output on the CLI.
On Windows that's not supported by default. It renders all special
characters instead.

This change disables ansiColors on Windows.

Change-Id: Ia6d71c8995528b62ee6b869e2e6044528b886fc1
Fixes: #36954
Releases: 1.1

History
#1 - 2012-05-08 17:37 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11080
#2 - 2012-05-08 17:38 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11080

#3 - 2012-05-09 02:39 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:aeaa424b48d22c0e532c44fb223aa25be67beac3.

2015-08-03 2/2

http://review.typo3.org/11080

